﻿//////////////////////////////////////////////
// Constants.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// Standards
#include <string>

/// Class ------------------------------------

namespace nkAstraeus::lua::nkExportWrap
{
	struct Constants
	{
		// Namespace
		inline static const std::string NAMESPACE = "nkExport" ;

		// UserTypes
		// Errors
		inline static const std::string EXPORT_ERROR = NAMESPACE + "::ExportError" ;

		// Exporters
		inline static const std::string EXPORTER_LOAD_RESULT = NAMESPACE + "::ExporterLoadResult" ;
		inline static const std::string JSON_EXPORTER = NAMESPACE + "::JsonExporter" ;

		// Tree
		inline static const std::string NODE = NAMESPACE + "::Node" ;
	} ;
}