﻿//////////////////////////////////////////////
// DefaultMemorySpace.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkMemory
#include "../../Dll/DllDefines.h"

#include "MemorySpace.h"

/// Class ------------------------------------

namespace nkMemory
{
	class DLL_MEMORY_EXPORT DefaultMemorySpace final : public MemorySpace<char*>
	{
		private :

			// Allocation attachée
			char* _space ;

		public :

			// Constructeur, destructeur
			DefaultMemorySpace (size_t spaceSize) ;
			~DefaultMemorySpace () ;

			// Accès allocation
			virtual char* getBasePtr () const override ;
			virtual char* getOffsetPtr (size_t offset) const override ;
	} ;
}